1

I want to update our EXM version to the latest version. We are already on Update 1 but EXM 3.4 Update 2 solves a breaking bug for our client.
(importing HTML templates are broken after changes that were made to SPEAK in SXP 8.2 Update-3)

The download page specifies an update package and update instructions: https://dev.sitecore.net/Downloads/Email_Experience_Manager/Email_Experience_Manager_34/Email_Experience_Manager_34_Update2.aspx

First of all, the instructions mention the wrong prerequisite: Sitecore XP 8.2 (rev. 170713).
Which should be Sitecore XP 8.2 (rev. 170407) or Sitecore XP 8.2 (rev. 170614).

The instructions use the UpdateInstallationWizard and don't specify any kind of environment to use. So I'm assuming that I only need to install this update on the Content Management environment?
How can I validate that I don't need to install this update on the CD nor Processing servers?

  • When the package is not role specific, I understand it is for every role, but for this kind of questions, critical to production environments, I prefer to ask directly to Sitecore support – Vicent Galiana Aug 2 '17 at 8:10
  • I've asked for the prerequisites of the documentation to be updated. Thanks for pointing it out. – Jacob Nielsen Aug 2 '17 at 9:20
1

You will only be able to install the .update package on the CM environment.

For a single server setup that's all you need to do, but if you have a scaled setup (which it sounds like you do) then you need to also manually apply the server role specific packages on those roles c.f. Walkthrough: Configuring EXM in a scaled environment

Now, in your case, when upgrading from 3.4.1 to 3.4.2 the changes are very few. There are a few items that have changed, which will be updated by installing the .update package, and the following files:

  • Sitecore.EmailCampaign.dll
  • Sitecore.EmailExperience.Core.config

So you should make sure to update at least those two files on all server roles.

| improve this answer | |

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.